Anonymous Login
2019-10-23 13:32 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001319v3.0 Release[All Projects] Generalpublic2013-08-28 11:17
Reportersasquatch58 
Assigned Tocaseydk 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0.0 
Summary0001319: No calc of task finish date or duration
DescriptionLatest git commit/1e736782739c8013cde4e2151768291d1abd37af
Creating or editing a task, when setting start and finish dates, can no longer calculate finish date based on start date and duration; or calculate duration based on start and finish dates.
Looks like the two calculate buttons no longer work.
Can still manually enter all information but the buttons can be quite useful.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002900

sasquatch58 (reporter)

Here's the error message

Fatal error: Call to a member function isActiveModule() on a non-object in /opt/web2project/web2git2/classes/w2p/Utilities/Date.class.php on line 135, referer: http://192.168.1.10/w2p/index.php?m=tasks&a=addedit&task_id=7
Stack trace:, referer: http://192.168.1.10/w2p/index.php?m=tasks&a=addedit&task_id=7
  1. {main}() /opt/web2project/web2git2/index.php:0, referer: http://192.168.1.10/w2p/index.php?m=tasks&a=addedit&task_id=7
  2. require_once() /opt/web2project/web2git2/index.php:36, referer: http://192.168.1.10/w2p/index.php?m=tasks&a=addedit&task_id=7
  3. require_once() /opt/web2project/web2git2/includes/main_functions.php:20, referer: http://192.168.1.10/w2p/index.php?m=tasks&a=addedit&task_id=7
  4. xajax->processRequest() /opt/web2project/web2git2/includes/ajax_functions.php:78, referer: http://192.168.1.10/w2p/index.php?m=tasks&a=addedit&task_id=7
  5. xajaxPluginManager->processRequest() /opt/web2project/web2git2/lib/xajax/xajax_core/xajax.inc.php:605, referer: http://192.168.1.10/w2p/index.php?m=tasks&a=addedit&task_id=7
  6. xajaxFunctionPlugin->processRequest() /opt/web2project/web2git2/lib/xajax/xajax_core/xajaxPluginManager.inc.php:241, referer: http://192.168.1.10/w2p/index.php?m=tasks&a=addedit&task_id=7
  7. xajaxUserFunction->call() /opt/web2project/web2git2/lib/xajax/xajax_core/plugin_layer/xajaxFunctionPlugin.inc.php:228, referer: http://192.168.1.10/w2p/index.php?m=tasks&a=addedit&task_id=7
  8. call_user_func_array() /opt/web2project/web2git2/lib/xajax/xajax_core/plugin_layer/support/xajaxUserFunction.inc.php:237, referer: http://192.168.1.10/w2p/index.php?m=tasks&a=addedit&task_id=7
  9. calcDuration() /opt/web2project/web2git2/lib/xajax/xajax_core/plugin_layer/support/xajaxUserFunction.inc.php:0, referer: http://192.168.1.10/w2p/index.php?m=tasks&a=addedit&task_id=7
 10. w2p_Utilities_Date->calcDuration() /opt/web2project/web2git2/includes/ajax_functions.php:51, referer: http://192.168.1.10/w2p/index.php?m=tasks&a=addedit&task_id=7
 11. w2p_Utilities_Date->isWorkingDay() /opt/web2project/web2git2/classes/w2p/Utilities/Date.class.php:364, referer: http://192.168.1.10/w2p/index.php?m=tasks&a=addedit&task_id=7

~0002902

caseydk (administrator)

Resolved: https://github.com/web2project/web2project/commit/f576f6f94074eb8bae04408930f940c21b2670f4
+Notes

-Issue History
Date Modified Username Field Change
2013-05-18 23:41 sasquatch58 New Issue
2013-05-19 00:05 sasquatch58 Note Added: 0002900
2013-05-22 13:47 caseydk Note Added: 0002902
2013-05-22 13:47 caseydk Status new => resolved
2013-05-22 13:47 caseydk Resolution open => fixed
2013-05-22 13:47 caseydk Assigned To => caseydk
2013-08-28 11:14 caseydk Fixed in Version => 3.0.0
2013-08-28 11:17 caseydk Status resolved => closed
+Issue History